Package Details: shinken 2.4.3-3

Git Clone URL: https://aur.archlinux.org/shinken.git (read-only)
Package Base: shinken
Description: An open source Nagios like tool, redesigned and rewritten from scratch. Its main goal is to meet today's system monitoring requirements while still following compatibility to Nagios
Upstream URL: http://www.shinken-monitoring.org/
Licenses: GPL3
Submitter: None
Maintainer: arthru
Last Packager: arthru
Votes: 13
Popularity: 0.019592
First Submitted: 2011-01-13 23:32
Last Updated: 2016-03-11 09:36

Dependencies (5)

Required by (0)

Sources (11)

Latest Comments

revellion commented on 2016-06-08 20:23

I had the same error as saez0pub.

I appended

sed -i "s/'sphinx.ext.pngmath',//" doc/source/conf.py to the end of the prepare() stage and it built fine.

saez0pub commented on 2016-04-26 17:58

Hello,

when building with sphinx v1.4.1 :
-> Building docs
Running Sphinx v1.4.1
WARNING: sphinx.ext.pngmath has been deprecated. Please use sphinx.ext.imgmath instead.

Extension error:
Config value 'math_number_all' already present

removing sphinx.ext.pngmath in doc/source/conf.py fixes the error.
sed -i "s/'sphinx.ext.pngmath',//" doc/source/conf.py

arthru commented on 2015-07-16 16:41

I updated version to 2.4.1.

Please note that if you use a repository for your packages, there won't be an automatic update as previous version was 2.4 and 2.4.1 < 2.4... So you'll have to manually download the file and install it...

arthru commented on 2015-06-22 13:14

Indeed, I did not... Here is a newest version... thanks mtorromeo for pointing that out !

mtorromeo commented on 2015-06-22 13:11

The .SRCINFO file is outdated. Did you re-run mksrcinfo?

arthru commented on 2015-06-22 12:22

Package updated to 2.4, but it seems AUR4 does not update everything correctly...

mtorromeo commented on 2015-02-17 17:10

Sorry, I wanted to fix this package for some time but could not find the time to look into it. I'm orphaning it so that someone else may take over.

arthru commented on 2015-02-17 16:13

You can find latest version there : https://github.com/arthru/pkgbuilds/tree/master/shinken

korobkov commented on 2014-07-03 20:20

Just can't make it work:

root@rotherwood /etc/shinken # shinken-arbiter
Traceback (most recent call last):
File "/usr/bin/shinken-arbiter", line 56, in <module>
from shinken.bin import VERSION
ImportError: No module named 'shinken'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/shinken-arbiter", line 63, in <module>
imp.load_module('shinken', *imp.find_module('shinken', [os.path.realpath("."), os.path.realpath(".."), os.path.join(os.path.abspath(os.path.dirname(sys.argv[0])), "..")]))
File "/usr/lib/python3.4/imp.py", line 297, in find_module
raise ImportError(_ERR_MSG.format(name), name=name)
ImportError: No module named 'shinken'

System has both python2 and python installed…

k0ste commented on 2014-06-08 16:09

systemd files don't run, cause path dont include default 'daemons', need to change to /etc/shinken/daemons/pollerd.ini, etc...

need to chown /var/log/shinken and /var/log/shinken

also in daemons INI files user should be nagios.

All comments